
Redmine - Defect #5846

ChangeChangesPathLengthLimit does not remove default for MySQL

2010-07-08 20:49 - Scott Holden

Status: Closed Start date: 2010-07-08

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Database Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

The migration fails for MySQL because default is not allowed on a text column.  An explicity change_column_default should correct

this.

Related issues:

Related to Redmine - Defect #5771: Problem when importing git repository Closed 2010-06-28

Associated revisions

Revision 3860 - 2010-07-24 02:19 - Eric Davis

Force-clear the default value for migration from :string to :text. #5846 #5771

This is a special case for MySQL in Win32.

Contributed by Holger Just.

History

#1 - 2010-07-22 12:05 - Vladimir Schetinin

I can't migrate too.

Migration fails with error about ChangeChangesPathLengthLimit and defaults for columns in MySQL.

versions:

Redmine trunk

Rails 2.3.8

MySQL 5.0.67

#2 - 2010-07-23 00:24 - Holger Just

- File 5846_migration_fix.patch added

The issue was discussed in depth in the forum in this thread:  db migration error.

The attached patch fixes it.

#3 - 2010-07-24 02:20 - Eric Davis

- Category set to Database

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 1.0.1

- % Done changed from 0 to 100

- Affected version (unused) set to 1.0.0-RC

- Resolution set to Fixed

Updated the migration in r3860 and r3861.

Files

5846_migration_fix.patch 1.09 KB 2010-07-22 Holger Just
